Can I use npm and Webpack with Arcgis 4.4?

867
1
10-01-2017 05:55 PM
BarryRussell1
New Contributor

I have installed arcgis 4.4 using npm. I am trying to build a vendor file with the package but get the following message:

Module not found: Error: Can't resolve 'arcgis-js-api'.

I have found a work around for arcgis 4.3. Given the npm install creates a packages.json file I would have thought that the necessary configurations were handled here.

regards

Barry

0 Kudos
1 Reply
JohnGravois
Frequent Contributor

we published v4.5.0 on npm this morning. as before, a few manual steps are necessary in order to compile the library that are described in the blog below.

https://community.esri.com/community/developers/web-developers/arcgis-api-for-javascript/blog/2017/0... 

0 Kudos